Subject: bug#76858: [PATCH] window-tool-bar: Use `static-if' from Compat 30

From: Stefan Kangas <[email-masked]>
Date: Wed, 12 Mar 2025 22:59:30 -0700

Version: 31.1

Jared Finder <[email-masked]> writes:

> On 2025-03-08 07:43, Daniel Mendler wrote:
>> Jared Finder <[email-masked]> writes:
>>
>>> On 2025-03-08 00:26, Daniel Mendler wrote:
>>>> Tags: patch
>>>> Compat 30 is available on ELPA and provides `static-if'.
>>> I see this created Bug#76858. (apologies if a new bug is created here)
>>>
>>>> -;; Package-Requires: ((emacs "27.1") (compat "29.1"))
>>>> +;; Package-Requires: ((emacs "27.1") (compat "30"))
>>> I think this also needs (eval-when-compile (require 'compat)) since static-if
>>> is
>>> a macro. But I could be wrong here, I'm always a bit confused about Emacs
>>> Lisp's
>>> eval-when forms.
>> No, (require 'compat) is sufficient.
>
> Ok, I have no objections then.
>
>   -- MJF

Thanks, installed on master as [1: ae33aad7f58].

[1: ae33aad7f58] 2025-03-13
  window-tool-bar: Use `static-if' from Compat 30
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=ae33aad7f582864a8dbb0fee10f891fd67abdbe3